%global momorel 3

%global moz_plugindir %{_libdir}/mozilla/plugins
%global geckover 1.9.2

Name:		gecko-mediaplayer
Summary:	Multimedia browser plugin for Gecko based browsers
Version:	0.9.9.2
Release:	%{momorel}m%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://kdekorte.googlepages.com/gecko-mediaplayer
Source0:	http://gecko-mediaplayer.googlecode.com/files/%{name}-%{version}.tar.gz
NoSource:	0
Source0:	gecko-mediaplayer-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	GConf2-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildRequires:	libX11-devel
BuildRequires:	pkgconfig
BuildRequires:	gecko-devel >= %{geckover}
Requires:	gnome-mplayer
Requires(post):	GConf2
Requires(post):	desktop-file-utils

%description
Gecko Media Player is a browser plugin that uses GNOME MPlayer to play media in a browser. 
It should work with all browsers on Unix-ish systems(Linux, BSD, Solaris) and 
use the NS4 API (Mozilla, Firefox, Opera, etc.). 
Gecko Media Player is in heavy development, but I wanted to get some code drops out there 
so that people can start using and testing it.

%prep
%{__rm} -rf --preserve-root %{buildroot}

%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

## delete duplicated documents
%{__rm} -rf %{buildroot}%{_docdir}/%{name}

%clean
%{__rm} -rf --preserve-root %{buildroot}

%post
update-desktop-database %{_datadir}/applications &> /dev/null ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gecko-mediaplayer.schemas > /dev/null

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog INSTALL
%{_libdir}/mozilla/plugins/*
%{_datadir}/locale/*/LC_MESSAGES/*
%config %{_sysconfdir}/gconf/schemas/gecko-mediaplayer.schemas

%changelog
* Thu Sep  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.9.2-3m)
- [BUG FIX] fix %%post

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.9.2-2m)
- full rebuild for mo7 release

* Sun Mar  7 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.9.2-1m)
- update to 0.9.9.2

* Mon Feb  1 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9-0.1.1m)
- update to svn snapshot (r355) for xulrunner-1.9.2

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.6-4m)
- delete __libtoolize hack

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.6-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.6-2m)
- rebuild against xulrunner-1.9.1

* Sun Jun 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.2-2m)
- rebuild against rpm-4.6

* Tue Nov 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2

* Wed Oct 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0
- change URL and source URI

* Sun Jun 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-2m)
- revise spec

* Sun May 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.0-1m)
- initial build for Momonga Linux 5
